Package org.jboss.modules

# Class VersionDetection

java.lang.Object
org.jboss.modules.VersionDetection

public final class VersionDetection extends Object
A utility class to assist with detecting the version of a resource root or collection of resource roots.

## Method Summary

Modifier and Type
Method
Description
`static Version`
`detectVersion(ResourceLoader resourceLoader)`
Attempt to guess the version of a resource loader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### detectVersion

public static Version detectVersion(ResourceLoader resourceLoader) throws IOException
Attempt to guess the version of a resource loader.

Parameters:
  `resourceLoader` - the resource loader to check (must not be `null`)
Returns:
  the version, or `null` if no version could be determined
Throws:
  `IOException` - if necessary resource(s) failed to load